#!/usr/bin/python3

import codecs
import sys
import shutil
import os.path


def main(arch):
    print("Probando encoding para", arch)
    a = codecs.open(arch, "r", "utf-8")
    try:
        a.read()
    except UnicodeDecodeError:
        pass
    else:
        print("  Ya estaba en UTF-8, :)")
        return

    dest = os.path.join("/tmp", os.path.basename(arch))
    shutil.copy(arch, dest)

    print("Leyendo archivo en iso-8859-1")
    a = codecs.open(arch, "r", "iso-8859-1")
    info = a.read()
    a.close()

    print("Reescribiendo el archivo OK")
    a = codecs.open(arch, "w", "utf-8")
    a.write(info)
    a.close()


if __name__ == "__main__":
    if len(sys.argv) < 2:
        print("Usar aUTF8.py <arch> [<arch> [...]]")
        sys.exit()
    for arch in sys.argv[1:]:
        main(arch)
        print()
